com.mxgraph.swing.handler

## Class mxRotationHandler

- java.lang.Object
- - com.mxgraph.swing.util.mxMouseAdapter
  - - com.mxgraph.swing.handler.mxRotationHandler

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

      public class mxRotationHandler
      extends mxMouseAdapter

  Basic example of implementing a handler for rotation. This can be used as follows: new mxRotationHandler(graphComponent) Note that the Java core does actually not support rotation for the selection handles, perimeter points etc. Feel free to contribute a fix!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `currentAngle`
    `protected mxCellState` | `currentState`
    `protected boolean` | `enabled` Specifies if this handler is enabled.
    `protected java.awt.Point` | `first`
    `protected mxGraphComponent` | `graphComponent` Reference to the enclosing graph component.
    `protected javax.swing.JComponent` | `handle`
    `protected double` | `initialAngle`
    `static javax.swing.ImageIcon` | `ROTATE_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxRotationHandler(mxGraphComponent graphComponent)` Constructs a new rotation handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.swing.JComponent` | `createHandle()`
    `mxGraphComponent` | `getGraphComponent()`
    `boolean` | `isEnabled()`
    `boolean` | `isStateHandled(mxCellState state)`
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mouseMoved(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `paint(java.awt.Graphics g)`
    `void` | `reset()`
    `void` | `setEnabled(boolean value)`
    `void` | `start(java.awt.event.MouseEvent e)`

    - ### Methods inherited from class com.mxgraph.swing.util.mxMouseAdapter

      `mouseClicked, mouseEntered, mouseExited`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROTATE_ICON

          public static javax.swing.ImageIcon ROTATE_ICON

    - #### graphComponent

          protected mxGraphComponent graphComponent

      Reference to the enclosing graph component.

    - #### enabled

          protected boolean enabled

      Specifies if this handler is enabled. Default is true.

    - #### handle

          protected javax.swing.JComponent handle

    - #### currentState

          protected mxCellState currentState

    - #### initialAngle

          protected double initialAngle

    - #### currentAngle

          protected double currentAngle

    - #### first

          protected java.awt.Point first

  - ### Constructor Detail

    - #### mxRotationHandler

          public mxRotationHandler(mxGraphComponent graphComponent)

      Constructs a new rotation handler.

  - ### Method Detail

    - #### getGraphComponent

          public mxGraphComponent getGraphComponent()

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean value)

    - #### createHandle

          protected javax.swing.JComponent createHandle()

    - #### isStateHandled

          public boolean isStateHandled(mxCellState state)

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `mxMouseAdapter`

    - #### start

          public void start(java.awt.event.MouseEvent e)

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent e)

      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseMoved` in class `mxMouseAdapter`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `mxMouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `mxMouseAdapter`

    - #### reset

          public void reset()

    - #### paint

          public void paint(java.awt.Graphics g)

Copyright (c) 2010 Gaudenz Alder. All rights reserved.